--[[
%% properties
%% globals
sonosAction
--]]

local command;
local deviceId;
local sonosAction = fibaro:getGlobalValue("sonosAction")

-- make sure to prevent the scene from running again
if (tonumber(fibaro:getGlobalValue("sonosAction")) == 0) then
    fibaro:abort();
end

-- split values
command, deviceId = sonosAction:match("([^,]+),([^,]+)");

-- check for toggle command
if (command == 'toggle') then
 	-- get current state
	local state = fibaro:getValue(deviceId, "state")

  	if (state == 'PLAYING') then 
  		command = 'pause';
  	else 
  		command = 'play';
  	end
  
end

-- execute command
local http = net.HTTPClient()  
  http:request('http://127.0.0.1:11111/api/plugins/callUIEvent?deviceID=' .. deviceId .. '&elementName=' .. command .. '_Button&eventType=onReleased', {
      success = function(resp)
      	print('command: ' .. command .. ' executed successfuly') 
      end,
      error = function(err) 
      	print('error = ' .. err) 
    end
    })
    
--reset the global variable
fibaro:setGlobal("sonosAction", "0")